## org.apache.hadoop.metrics
Interface Updater

All Known Implementing Classes:
  JvmMetrics

Deprecated. in favor of `org.apache.hadoop.metrics2` usage.

    @Deprecated
    @InterfaceAudience.LimitedPrivate(value={"HDFS","MapReduce"})
    @InterfaceStability.Evolving
    public interface Updater

Call-back interface. See `MetricsContext.registerUpdater()`.

Method Summary
`void` `doUpdates(MetricsContext context)` Deprecated. Timer-based call-back from the metric library.

Method Detail

### doUpdates

    void doUpdates(MetricsContext context)

  Deprecated.
  Timer-based call-back from the metric library.

Copyright © 2009 The Apache Software Foundation